#
# spec file for package python-pycountry
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define real_name pycountry

%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pycountry
Version:        18.12.8
Release:        lp151.3.3.2
Summary:        Databases for ISO standards 639 3166 3166-2 4217 15924
License:        LGPL-2.1-only
Group:          Development/Libraries/Python
Url:            https://pypi.python.org/pypi/pycountry/
Source:         https://pypi.io/packages/source/p/%{real_name}/%{real_name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-lxml
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
pycountry provides the ISO databases for the standards 639 (Languages),
3166 (Countries), 3166-2 (Subdivisions of countries), 4217 (Currencies),
15924 (Scripts). The databases are imported from Debian's pkg-isocodes,
packaged into pycountry and made accessible through a Python API.
Translation files for the various strings are included as well.

%prep
%setup -q -n %{real_name}-%{version}

%build
%python_build

%install
%python_install

%check
%pytest

%files %{python_files}
%defattr(-,root,root,-)
%license LICENSE.txt
%doc README
%{python_sitelib}/*

%changelog
* Fri Mar 29 2019 pgajdos@suse.com
- version update to 18.12.8
  - Switch API from "get + KeyError" to " get + default=None". This is
    a subtle API-breaking change. Please update carefully. (#13416)
  - Update to iso-codes 4.1.
  - Fix #13394: incorrect KeyError shadowing in Subdivisions.get()
  - Fix #13398: make lazy loading thread-safe.
- run unit tests
* Sat Sep 16 2017 smurf.anon@gmail.com
- Update to version 17.5.14
- Convert to singlespec
* Wed Oct  5 2016 mailaender@opensuse.org
- update to version 1.20
* Wed Oct  8 2008 Ciaran Farrell <cfarrell1980@googlemail.com>
- Initial import and build of version 0.10
